﻿using System.ComponentModel;

namespace ComPortSniffer
{
   /// <summary>
   /// Repäsentiert die gültigen Databits-Werte.
   /// </summary>
   public enum DataBits
   {
      /// <summary>5 Bit</summary>
      [Description("5")]
      B_5 = 5,
      /// <summary>6 Bit</summary>
      [Description("6")]
      B_6 = 6,
      /// <summary>7 Bit</summary>
      [Description("7")]
      B_7 = 7,
      /// <summary>8 Bit</summary>
      [Description("8")]
      B_8 = 8
   }

   class DataBitsSelector : EnumSelector<DataBits>
   {
   }
}

