﻿using System.ComponentModel;

namespace ComPortSniffer
{
   /// <summary>
   /// Repäsentiert die gültigen Stopbits-Werte.
   /// </summary>
   public enum StopBits
   {
      /// <summary>Keins</summary>
      [Description("0")]
      S_0 = 0,
      /// <summary>1 Bit</summary>
      [Description("1")]
      S_1 = 1,
               /// <summary>1,5 Bit</summary>
      [Description("1,5")]
      S_3 = 3,
      /// <summary>2 Bit</summary>
      [Description("2")]
      S_2 = 2
   }

   class StopBitsSelector : EnumSelector<StopBits>
   {
   }
}